import request from "@/utils/request";

// 查询品牌方标签套打模板列表
export function listBreweryTagPrintTemplate(query) {
  return request({
    url: "/brewery/breweryTagPrintTemplate/list",
    method: "get",
    params: query,
  });
}

// 查询品牌方标签套打模板详细
export function getBreweryTagPrintTemplate(id) {
  return request({
    url: "/brewery/breweryTagPrintTemplate/" + id,
    method: "get",
  });
}

// 新增品牌方标签套打模板
export function addBreweryTagPrintTemplate(data) {
  return request({
    url: "/brewery/breweryTagPrintTemplate",
    method: "post",
    data: data,
  });
}

// 修改品牌方标签套打模板
export function updateBreweryTagPrintTemplate(data) {
  return request({
    url: "/brewery/breweryTagPrintTemplate",
    method: "put",
    data: data,
  });
}

// 删除品牌方标签套打模板
export function delBreweryTagPrintTemplate(id) {
  return request({
    url: "/brewery/breweryTagPrintTemplate/" + id,
    method: "delete",
  });
}

// 所有模版
export function allTemplate() {
  return request({
    url: "/brewery/breweryTagPrintTemplate/allList",
    method: "get",
  });
}
